Name:           cpupowerutils
Version:        009
# Prerelease 009p1
Release:        0.3.p1%{?dist}
Summary:        Tools to determine and set CPU power related settings
Group:          System Environment/Base
License:        GPLv2
URL:            http://gitorious.org/%{name}
# Source is just a git snapshot
Source0:        %{name}-325b57765dce1aea97c575d64dee91fcf6ee95c5.tar.gz
# Fails to build on x86
Patch0:         cpupowerutils-009-disable-gsic.patch
# Generate the same catalogues on all arches, please
Patch1:         cpupowerutils-009-pot-creation-date.patch

BuildRequires:  libsysfs-devel
BuildRequires:  pciutils-devel
BuildRequires:  gettext

ExclusiveArch:  %{ix86} x86_64 ppc ppc64

Provides:       cpufreq-utils = 1:%{version}-%{release}
Provides:       cpufrequtils = 1:%{version}-%{release}
Obsoletes:      cpufreq-utils < 1:%{version}-%{release}
Obsoletes:      cpufrequtils < 1:%{version}-%{release}

%description
This tool is to make access to the Linux kernel's processor power subsystems
like CPU frequency switching (cpufreq) or CPU sleep states (cpuidle) for users
and userspace tools easier.

%package devel
Summary:        CPU power related development files
Group:          Development/Libraries
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description devel
The cpupowerutils development files.

%prep
%setup -q
%patch0 -p1 -b .disable-gsic
%patch1 -p1 -b .pot-creation-date

%build
# Parallel builds fail
make CFLAGS="$RPM_OPT_FLAGS" CPUFRQ_BENCH=false DEBUG=true
%ifarch %{ix86}
    cd debug/i386
    make CFLAGS="$RPM_OPT_FLAGS" 
%endif
%ifarch x86_64
    cd debug/x86_64
    make CFLAGS="$RPM_OPT_FLAGS"
%endif

%install
make install DESTDIR=%{buildroot} libdir=%{_libdir} mandir=%{_mandir} CPUFRQ_BENCH=false DEBUG=true
rm -f %{buildroot}%{_libdir}/*.{a,la}
%find_lang %{name}
%ifarch %{ix86}
    cd debug/i386
    install -m755 centrino-decode %{buildroot}%{_bindir}/centrino-decode
    install -m755 powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
%endif
%ifarch x86_64
    cd debug/x86_64
    install -m755 powernow-k8-decode %{buildroot}%{_bindir}/powernow-k8-decode
%endif
chmod 0755 %{buildroot}%{_libdir}/libcpufreq.so*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libcpufreq.so.*
%{_bindir}/*
%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libcpufreq.so
%{_includedir}/cpufreq.h

%changelog
* Thu Mar 17 2011 Petr Sabata <psabata@redhat.com> - 009-0.3.p1
- Correcting license from GPLv2+ to GPLv2

* Thu Mar 17 2011 Petr Sabata <psabata@redhat.com> - 009-0.2.p1
- Re-including the disable-gsic patch
- The devel subpackage now depends on the base package

* Tue Mar 15 2011 Petr Sabata <psabata@redhat.com> - 009-0.1.p1
- Moving to cpupowerutils, 009p1 prerelease
- General cleanup

* Fri Feb 25 2011 Petr Sabata <psabata@redhat.com> - 008-5
- Build with DEBUG=true to avoid stripping

* Thu Feb 10 2011 Petr Sabata <psabata@redhat.com> - 008-4
- General spec file cleanup
- Do not build cpufreq-aperf on PPC/PPC64, rhbz#675829

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 008-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Petr Sabata <psabata@redhat.com> - 008-2
- Fixing aperf to work properly on 32bit arches, rhbz#675743
- aperf-32bit.patch

* Fri Jul 16 2010 Petr Sabata <psabata@redhat.com> - 008-1
- 008 version bump
- Multilib patch

* Thu Jul 08 2010 Petr Sabata <psabata@redhat.com> - 007-2
- Licensing guidelines compliance fix
- New cpufrequtils-devel subpackage created
- Spec file cleanup

* Mon Jan 18 2010 Anton Arapov <anton@redhat.com> 007-1
- New upstream release

* Wed Nov 11 2009 Anton Arapov <anton@redhat.com> 006-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 15 2008 Jarod Wilson <jarod@redhat.com> 005-2
- Fix parallel build

* Sun Aug 10 2008 Jarod Wilson <jwilson@redhat.com> 005-1
- New upstream release

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 004-2
- fix license tag

* Mon Jul 14 2008 Jarod Wilson <jwilson@redhat.com> 004-1
- New upstream release

* Tue May 27 2008 Jarod Wilson <jwilson@redhat.com> 003-1
- New upstream release
- Rename package to match upstream name (old cvs history
  can be found under old package name, cpufreq-utils)
- Drop static and libtool libs

* Wed Feb 13 2008 Jarod Wilson <jwilson@redhat.com>
- Bump and rebuild with gcc 4.3

* Tue Jul 11 2006 Karsten Hopp <karsten@redhat.de>
- buildrequire libsysfs-devel

* Wed Jul  9 2006 Dave Jones <davej@redhat.com>
- Rebuild against new libsysfs

* Wed Jun  7 2006 Dave Jones <davej@redhat.com>
- Upstream -002 release.

* Sat Feb 11 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- New upstream 0.4 release.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- package all files

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.3

* Fri Apr 22 2005 Matthias Saou <http://freshrpms.net/> 0.2-2
- Major spec file cleanup. (#155731)
- Use %%find_lang macro.
- Add missing sysfsutils-devel build requirement.

* Fri Apr 15 2005 Florian La Roche <laroche@redhat.com>
- remove empty preun script

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Sun Feb 27 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.2

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Sat Dec  4 2004 Dave Jones <davej@redhat.com>
- Initial packaging
